Failed to load config.xml after update 3.0.0

Discussions about Z-Way software and Z-Wave technology in general
Post Reply
Ruffy
Posts: 8
Joined: 28 Feb 2015 21:02

Failed to load config.xml after update 3.0.0

Post by Ruffy » 09 Sep 2019 23:29

Hi guys,
I've updated my system to the new 3.0.0. After the update the Pi was running for 20h. Than nothing was happened. Restart --> nothing appears.
So I've checked by setup via SSH connection:

Linux version 4.14.78-4-osmc (root@vero3-db) (gcc version 6.3.0 20170516 (Debian 6.3.0-18+deb9u1)) #1 SMP PREEMPT Wed Dec 12 17:58:11 UTC 2018
In the init.d there is no z-way-server application.

If i want to start the application form the directory: cd /opt/z-way-server and can start it with ./z-way-server. But within the starting the system gives me the output, that the loading of config.xml not running. And systems crashed.


So what can I do right now?
I've a backup done from 2.3.8 ZAB and ZBK is this also possible to use with 3.0.0? So to make a complete new installation?

Looking for some help!
Thanks!
Attachments
Bildschirmfoto 2019-09-09 um 22.29.15.png
Bildschirmfoto 2019-09-09 um 22.29.15.png (58.28 KiB) Viewed 225 times
Bildschirmfoto 2019-09-09 um 22.23.43.png
Bildschirmfoto 2019-09-09 um 22.23.43.png (24.92 KiB) Viewed 225 times

kapila
Posts: 3
Joined: 12 Sep 2019 07:45

Re: Failed to load config.xml after update 3.0.0

Post by kapila » 12 Sep 2019 07:50

I got the same errors. Please help us!!

IgoriokLT
Posts: 84
Joined: 09 Oct 2016 15:24

Re: Failed to load config.xml after update 3.0.0

Post by IgoriokLT » 12 Sep 2019 11:48

I believe you both answered YES instead of NO when the intaller asked if you want to replace config.xml fand zbbw.xml files. Unfortunately, I don't know how to help in this situation but re-installing everything from the scratch. Not sure if backups from 2.3.8 can help, they use different libraries.

kapila
Posts: 3
Joined: 12 Sep 2019 07:45

Re: Failed to load config.xml after update 3.0.0

Post by kapila » 12 Sep 2019 13:58

Oh..Really?
But when I tried to remove the z-way-server but I could not remove completely
Maybe I'm doing wrong?

J.nissen
Posts: 13
Joined: 02 Sep 2016 22:12

Re: Failed to load config.xml after update 3.0.0

Post by J.nissen » 12 Sep 2019 14:22

Hello,
I got the same errors. Can anybody Help ?

kapila
Posts: 3
Joined: 12 Sep 2019 07:45

Re: Failed to load config.xml after update 3.0.0

Post by kapila » 12 Sep 2019 14:36

When I remove the directories relates to z-way and install again but it did not uninstall fully.

IgoriokLT
Posts: 84
Joined: 09 Oct 2016 15:24

Re: Failed to load config.xml after update 3.0.0

Post by IgoriokLT » 12 Sep 2019 16:49

If you have backups from the 2.3.8, you can try downloading image file with z-way 2.3.8 from the server, write it to the card, then restore the backup. Check if all the devices, reinclude if any are missing are in the system and then you can try upgrading again following all instructions from the web page. When the installer will ask to replace config.xml and zbbw.xml files, answer [No].
I did it this way, and everything is working fine. But I have only Z-Way on the SD card.

micky1500
Posts: 85
Joined: 07 Feb 2016 16:29

Re: Failed to load config.xml after update 3.0.0

Post by micky1500 » 12 Sep 2019 19:28

What IgoriokLT says would work.

Failed to load config.xml could be that your permissions don't allow it. (osmc build is restrictive)

If you are going as far as a re-image you might as well go to a Stretch image !

http://downloads.raspberrypi.org/raspbian/images/
I'm running on this build. /raspbian/images/raspbian-2018-11-15

Install z-way as new 3.0.0, https://z-wave.me/z-way-v3-0-0/
Then restore your 2.3.8 backup .zab and include 'Restore Z-Wave Network'
That's what I did and it worked. (only minor App issues)

You say you have Linux version 4.14.78-4-osmc ! 'Brings up a few concerns.'
Is that osmc because you want Kodi-tv on the Raspberry too ? (linux 4.14.x ! mine is 4.19.x 'Stretch')
I had troubles with osmc build, no sudo command and restricted access to folders. Maybe that's where you are having issues !
If you still want Kodi, it's available to install as an additional application. From the Kodi website. https://kodi.tv/download

btw. I'm not an expert in this.
Raspi 3(Stretch), Zwave.me 3.0.0

Post Reply